%define libname libxmlrpc

Name: xmlrpc-c
Version: 1.10.00
Release: alt2

Summary: XML-RPC C library - an implementation of the xmlrpc protocol
License: BSD-style
Group: System/Libraries

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Url: http://xmlrpc-c.sourceforge.net/
Source: %name-%version.tar.bz2
Patch0: %name-1.10.00-alt-link-fixes.patch

BuildPreReq: gcc-c++ libcurl-devel libxml2-devel w3c-libwww-devel

%description
XML-RPC for C/C++ is programming libraries and related tools to help you
write an XML-RPC server or client in C or C++.

%package -n %libname
Summary: XML-RPC C library - an implementation of the xmlrpc protocol
Group: System/Libraries

%description -n %libname
XML-RPC for C/C++ is programming libraries and related tools to help you
write an XML-RPC server or client in C or C++.


%package -n %libname-devel
Summary: Files for developing applications that use %libname
Requires: %libname = %version
Requires: libcurl-devel libexpat-devel libssl-devel w3c-libwww-devel
Group: Development/C

%description -n %libname-devel
The header file for developing applications that use
%name.


%package -n %libname++
Summary: XML-RPC C++ library - an implementation of the xmlrpc protocol
Group: System/Libraries
Requires: %libname = %version

%description -n %libname++
XML-RPC for C/C++ is programming libraries and related tools to help you
write an XML-RPC server or client in C or C++.

This package contains C++ bindings for %libname.


%package -n %libname++-devel
Summary: Files for developing applications that use %libname++
Requires: %libname++ = %version
Requires: %libname-devel = %version
Group: Development/C++

%description -n %libname++-devel
The header file for developing applications that use
%libname++.


%prep
%setup -q
%patch0 -p1 -b .orig

#%%__subst '\,^SUBDIRS,s,tools examples,,' GNUmakefile
#%%__subst 's,^TARGET_STATIC_LIBRARIES.*,TARGET_STATIC_LIBRARIES=,' src/cpp/Makefile

%build
#%%add_optflags %optflags_shared
%__autoreconf
%configure \
	--disable-static \
	--enable-abyss-server \
	--enable-cgi-server \
	--enable-libxml2-backend
# non-SMP
%make CFLAGS_COMMON="%optflags -DNDEBUG" CXXFLAGS_COMMON="%optflags -DNDEBUG"

%install
%makeinstall DESTDIR=%buildroot
#rm -f %buildroot%_includedir/

%files -n %libname
%_libdir/libxmlrpc.so.*
%_libdir/libxmlrpc_abyss.so.*
%_libdir/libxmlrpc_client.so.*
%_libdir/libxmlrpc_server.so.*
%_libdir/libxmlrpc_server_abyss.so.*
%_libdir/libxmlrpc_server_cgi.so.*
%_libdir/libxmlrpc_util.so.*
%doc README doc/*

%files -n %libname-devel
%_bindir/%name-config
%_libdir/libxmlrpc.so
%_libdir/libxmlrpc_abyss.so
%_libdir/libxmlrpc_client.so
%_libdir/libxmlrpc_server.so
%_libdir/libxmlrpc_server_abyss.so
%_libdir/libxmlrpc_server_cgi.so
%_libdir/libxmlrpc_util.so
%_includedir/*

%files -n %libname++
%_libdir/libxmlrpc++.so.*
%_libdir/libxmlrpc_client++.so.*
%_libdir/libxmlrpc_cpp.so.*
%_libdir/libxmlrpc_server++.so.*
%_libdir/libxmlrpc_server_abyss++.so.*

%files -n %libname++-devel
%_libdir/libxmlrpc++.so
%_libdir/libxmlrpc_client++.so
%_libdir/libxmlrpc_cpp.so
%_libdir/libxmlrpc_server++.so
%_libdir/libxmlrpc_server_abyss++.so

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libname++ -p /sbin/ldconfig
%postun -n %libname++ -p /sbin/ldconfig

%changelog
* Thu Apr 12 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.10.00-alt2
- fix License (#11485)
- put docs in one directory

* Fri Mar 30 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.10.00-alt1
- 1.10.0

* Wed Jan 03 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.09.00-alt1
- 1.09.00

* Fri Dec 08 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.08.00-alt4
- fix x86_64 build (damir@)

* Tue Dec 05 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.08.00-alt3
- package C++ bindings separately

* Thu Nov 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.08.00-alt2
- fix requires for devel subpackage according to 
  `xmlrpc-c-config client --libs' output

* Thu Nov 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.08.00-alt1
- 1.08.00

* Wed Aug 23 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.06.02-alt0.3
- Sisyphus build

* Sun Aug 13 2006 Damir Shayhutdinov <damir@altlinux.ru> 1.06.02-alt0.2
- Use automake for building.

* Mon Aug 07 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.06.02-alt0.1
- initial build
